ContextNodeExpression
Keywords: com.icl.saxon.expr.ContextNodeExpression class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.expr
Class ContextNodeExpression

    java.lang.Object
      com.icl.saxon.expr.Expression
          com.icl.saxon.expr.NodeSetExpression
              com.icl.saxon.expr.SingletonExpression
                  com.icl.saxon.expr.ContextNodeExpression

public final class ContextNodeExpression
extends SingletonExpression

This class represents the expression ".", which always returns the context node.

Field Summary

Fields inherited from class com.icl.saxon.expr.Expression
`staticContext`

Constructor Summary
`ContextNodeExpression()`

Method Summary
`void` | `display(int level)` Diagnostic print of expression structure
`int` | `getDependencies()` Determine which aspects of the context the expression depends on.
`NodeInfo` | `getNode(Context context)` Return the node selected by this expression.
`Expression` | `reduce(int dependencies, Context context)` Perform a partial evaluation of the expression, by eliminating specified dependencies on the context.

Methods inherited from class com.icl.saxon.expr.SingletonExpression
`enumerate, evaluateAsBoolean, evaluateAsNodeSet, evaluateAsString, isContextDocumentNodeSet, selectFirst`

Methods inherited from class com.icl.saxon.expr.NodeSetExpression
`evaluate, getDataType, outputStringValue`

Methods inherited from class com.icl.saxon.expr.Expression
`containsReferences, evaluateAsNumber, getStaticContext, indent, make, setStaticContext, simplify, usesCurrent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextNodeExpression

    public ContextNodeExpression()

Method Detail

### getNode

    public NodeInfo getNode(Context context)
                     throws XPathException

  Return the node selected by this expression.

  Specified by:
    `getNode` in class `SingletonExpression`
  Parameters:
    `context` - The context for the evaluation
  Returns:
    one NodeInfo only, namely the current node defined by the context
  Throws:
    `XPathException`

### getDependencies

    public int getDependencies()

  Determine which aspects of the context the expression depends on. The result is a bitwise-or'ed value composed from constants such as Context.VARIABLES and Context.CURRENT_NODE

  Specified by:
    `getDependencies` in class `Expression`

### reduce

    public Expression reduce(int dependencies,
                             Context context)
                      throws XPathException

  Perform a partial evaluation of the expression, by eliminating specified dependencies on the context.

  Specified by:
    `reduce` in class `Expression`
  Parameters:
    `dependencies` - The dependencies to be removed
    `context` - The context to be used for the partial evaluation
  Returns:
    a new expression that does not have any of the specified dependencies
  Throws:
    `XPathException`

### display

    public void display(int level)

  Diagnostic print of expression structure

  Specified by:
    `display` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD